package faktorI;

public class Zakljucak extends Elem {
	private String naziv;
	private double faktorI = -2;
	private double MB = 0;
	private double MD = 0;
	private boolean selektovan = false;
	private int redniBroj = 0;
	private int brojPkojaVodeDoZ = 1;
	private String  obradjenaPravila = "";
	private boolean izracunatFI = false;
	
	public Zakljucak(Tokenstream ts){
		naziv = ts.sval;
	}
	
	public String getNaziv(){return naziv;}
	public double getFaktorI(){return faktorI;}
	public double getMB(){return MB;}
	public double getMD(){return MD;}
	public boolean getSelektovan(){return selektovan;}
	public int getRedniBroj(){return redniBroj;}
	public int getBrojPkojaVodeDoZ(){return brojPkojaVodeDoZ;}
	public String getObradjenaPravila(){return obradjenaPravila;}
	public boolean getIzracunatFI(){return izracunatFI;}
	
	
	public void setNaziv(String naziv){this.naziv = naziv;}
	public void setFaktorI(double faktorI){this.faktorI = faktorI;}
	public void setMB(double MB){this.MB = MB;}
	public void setMD(double MD){this.MD = MD;}
	public void setSelektovan(boolean selektovan){this.selektovan = selektovan;}
	public void setRedniBroj(int redniBroj){this.redniBroj = redniBroj;}
	public void setBrojPkojaVodeDoZ(int BrojPkojaVodeDoZ){this.brojPkojaVodeDoZ = BrojPkojaVodeDoZ;}
	public void setObradjenaPravila(String obradjenaPravila){this.obradjenaPravila = obradjenaPravila;}
	public void setIzracunatFI(boolean izracunatFI){this.izracunatFI = izracunatFI;}
	
	public void dodajObradjenoPravilo(String s){obradjenaPravila += s;}
	public void povecajBrojPkojaVodeDoZ(){brojPkojaVodeDoZ++;}
	
	public void refresh(){
		faktorI = 1;
		MB = 0;
		MD = 0;
		next = null;
		selektovan = false;
		redniBroj = 0;
		brojPkojaVodeDoZ = 1;
		obradjenaPravila = "";
		izracunatFI = false;
	}
	public String toString(){return naziv;}
}
